package jalview.gui;

/**
 * Visual progress indicator interface.
 * @author JimP
 *
 */
public interface IProgressIndicator
{
  /**
   * Visual indication of some operation taking place. 
   * On first call with a particular ID an indicator with the given message is added. The indicator is removed with a second call with same ID. 
   * @param message - displayed message for operation
   * @param id - unique handle for this indicator
   */
  public abstract void setProgressBar(String message, long id);

}