/**
 * 
 */
package jalview.ws.dbsources;

import jalview.ws.seqfetcher.DbSourceProxy;

/**
 * flyweight class specifying retrieval of Full family alignments from PFAM
 *
 */
public class PfamFull extends Pfam implements DbSourceProxy
{
  public PfamFull()
  {
    super();
  }

  /* (non-Javadoc)
   * @see jalview.ws.dbsources.Pfam#getPFAMURL()
   */
  protected String getPFAMURL()
  {
    return "http://pfam.sanger.ac.uk/family/alignment/download/format?alnType=full&format=stockholm&order=t&case=l&gaps=default&entry=";
  }

  /* (non-Javadoc)
   * @see jalview.ws.seqfetcher.DbSourceProxy#getDbName()
   */
  public String getDbName()
  {
    return "PFAM (Full)";
  }
  public String getDbSource()
  {
    return getDbName(); // so we have unique DbSource string.
  }
  public String getTestQuery()
  {
    return "PF00535"; // TODO: Pick a better full alignment to retrieve.
  }

}
